if IsAddOnLoaded("TrinityBars") then
	
	local FrameList = {
		action = { "TrinityActionButton", 120 },
	}

	local FrameId = {
		action = function (name, id)
			return id
		end,
	}

	local function Trinity_Buttons_UpdateCountList(list)
		for type, frames in pairs(FrameList) do
			for i = 1, frames[2] do
				local name = frames[1]..i
				local id = FrameId[type] (name, i)
				local frame = getglobal(name.."Count")
				if id and frame then
					list[frame] = {type = type, id = id}
				end
			end
		end
	end
	
	function ltc:Trinity_UpdateActionbar_OnEvent(button)
		self.hooks.Trinity_UpdateActionbar_OnEvent(button)

		local frame = getglobal(button:GetName().."Count")
		local info = self:GetCountList()[frame]
		if info then
			self:UpdateCount (frame, info)
		end
	end
	ltc:Hook("Trinity_UpdateActionbar_OnEvent")

	function ltc:Trinity_UpdateInventory_OnEvent()
		self.hooks.Trinity_UpdateInventory_OnEvent()

		local frame = getglobal(this:GetName().."Count")
		local info = self:GetCountList()[frame]
		if info then
			self:UpdateCount (frame, info)
		end
	end
	ltc:Hook("Trinity_UpdateInventory_OnEvent")

	ltc:RegisterPlugin(Trinity_Buttons_UpdateCountList)
end
